%global aagcloudwatcher_ng_pkg indi-3rdparty-aagcloudwatcher-ng

Name:           indi-3rdparty-drivers
Version:        1.9.3
Release:        3%{?dist}
Summary:        INDI 3rdparty drivers
License:        LGPLv2+
URL:            http://indilib.org

# Tar is generated from the huge all-in-one tar from INDI
# by using ./generate-drivers-tarball.sh %%{version}
# The main source from upstream is at
# https://github.com/indilib/indi-3rdparty/archive/refs/tags/v%%{version}.tar.gz
Source0:        %{name}-%{version}.tar.xz
Source1:        generate-drivers-tarball.sh

Patch0:         modify_cmake_common_flags.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libindi = %{version}
BuildRequires:  pkgconfig(libindi) = %{version}

# We want this metapackage to install all drivers at once.
# Just use weak dependencies to avoid possible errors.
Recommends:     %{aagcloudwatcher_ng_pkg}%{?_isa} = %{version}-%{release}

%description
This is a metapackage for installing all INDI 3rdparty drivers
at once. You probably don't want to install everything, but just pick
the drivers you need from the appropriate subpackage.


%package -n %{aagcloudwatcher_ng_pkg}
License:        GPLv3+
Summary:        INDI driver for the AAG Cloud Watcher NG

# We have to specify this requirement as the shared libraries are part of
# libindi-libs (which is what the dependency generator will find), but the
# driver also requires the binary indiserver, part of libindi package.
Requires:       libindi = %{version}

Provides:       indi-aagcloudwatcher = %{version}-%{release}
Obsoletes:      indi-aagcloudwatcher <= 1.9.0-3

%description -n %{aagcloudwatcher_ng_pkg}
INDI driver for the AAG Cloud Watcher NG.

%package -n %{aagcloudwatcher_ng_pkg}-doc
Summary:        Documentation files for %{aagcloudwatcher_ng_pkg}
Requires:       %{aagcloudwatcher_ng_pkg} = %{version}-%{release}
BuildArch:      noarch

%description -n %{aagcloudwatcher_ng_pkg}-doc
Documentation files of the INDI driver for the AAG Cloud Watcher NG.


%prep
%autosetup -p1

# We don't want to apply upstream builder customized flags
sed -i 's|include(CMakeCommon)||g' CMakeLists.txt


%build
%cmake -DBUILD_LIBS=OFF \
    -DWITH_EQMOD=OFF \
    -DWITH_ASTROLINK4=OFF \
    -DWITH_SKYWALKER=OFF \
    -DWITH_STARBOOK=OFF \
    -DWITH_STARBOOK_TEN=OFF \
    -DWITH_SX=OFF \
    -DWITH_MAXDOME=OFF \
    -DWITH_NEXDOME=OFF \
    -DWITH_TALON6=OFF \
    -DWITH_SPECTRACYBER=OFF \
    -DWITH_SHELYAK=OFF \
    -DWITH_CLOUDWATCHER=ON \
    -DWITH_CAUX=OFF \
    -DWITH_GPHOTO=OFF \
    -DWITH_QSI=OFF \
    -DWITH_SBIG=OFF \
    -DWITH_ATIK=OFF \
    -DWITH_TOUPBASE=OFF \
    -DWITH_BEEFOCUS=OFF \
    -DWITH_INOVAPLX=OFF \
    -DWITH_FLI=OFF \
    -DWITH_APOGEE=OFF \
    -DWITH_FFMV=OFF \
    -DWITH_MI=OFF \
    -DWITH_DUINO=OFF \
    -DWITH_FISHCAMP=OFF \
    -DWITH_ASICAM=OFF \
    -DWITH_DSI=OFF \
    -DWITH_QHY=OFF \
    -DWITH_GPSD=OFF \
    -DWITH_GPSNMEA=OFF \
    -DWITH_RTKLIB=OFF \
    -DWITH_GIGE=OFF \
    -DWITH_MGEN=OFF \
    -DWITH_ASTROMECHFOC=OFF \
    -DWITH_LIMESDR=OFF \
    -DWITH_ARMADILLO=OFF \
    -DWITH_WEBCAM=OFF \
    -DWITH_NIGHTSCAPE=OFF \
    -DWITH_DREAMFOCUSER=OFF \
    -DWITH_AVALON=OFF \
    -DWITH_PENTAX=OFF \
    -DWITH_AHP_XC=OFF \
    -DWITH_SV305=OFF \
    -DWITH_RPICAM=OFF \
    -DWITH_BRESSEREXOS2=OFF \
    -DWITH_ORION_SSG3=OFF \
    -DWITH_PLAYERONE=OFF \

%cmake_build


%install
%cmake_install


%files
%license LICENSE
%doc README.md


%files -n %{aagcloudwatcher_ng_pkg}
%license indi-aagcloudwatcher-ng/LICENSE.txt
%doc indi-aagcloudwatcher-ng/README.txt
%{_bindir}/indi_aagcloudwatcher_ng
%{_bindir}/aagcloudwatcher_test_ng
%{_datadir}/indi/indi_aagcloudwatcher_ng.xml
%{_datadir}/indi/indi_aagcloudwatcher_ng_sk.xml

%files -n %{aagcloudwatcher_ng_pkg}-doc
%doc indi-aagcloudwatcher-ng/docs


%changelog
* Sun Jan 09 2022 Mattia Verga <mattia.verga@protonmail.com> - 1.9.3-3
- Override some builder and linker flags

* Sat Jan 08 2022 Mattia Verga <mattia.verga@protonmail.com> - 1.9.3-2
- Initial packaging
